Subject: Amazon Survey Rewards ($25)

From: Amazon Voucher Code <[email-masked]>
Date: Wed, 02 Jul 2014 07:35:36 -0700

Amazon Cash Back Rewards | For: Krb-wg-archive

Share Your Opinion and Claim Your Amazon Rewards Below:

Redeem $25 Gift Card Here!

What's new on Amazon This Week

See how Amazon is celebrating 4th of July and shop now

Follow Us on: Twitter | Facebook | Pintrest

to change your message status with LES Relations

write to 131 tennis a v e n u e North Hills, PA 19038 or visit here

just arrived today morning into Istanbul airport from Mumbai and got the visa on arrival done. Here is the run down.. It is very easy to get it. You have be a bit patient. It takes about 30 to 45 minutes to get it so dont plan a quick connection. The visa is NOT available from the normal visa counter. You have to go to a special police desk which is at both the of the large and the small immigration area.
The police will check you passport and then give a paper which mentions the c on it.
You take this paper and your passport to the main visa counter where they issue all other visas. There you p. And they will give you a receipt.. Take the passport and the receipt back to the police desk as mentioned above. The police will them complete the immigration at one of the counters next to the desk and then you can enter.. Ensure you tell them exact number of days you want to stay as they are issuing visas based on that. One guy in front of me was not sure about 6 or 8 days, they gave him a 6 day single entry visa.There is no requirement to show them any invitation, hotel reservations. But better to have them handy.
The funny part is its cheaper to get visa on arrival than from the consulatto get visa from the local consulate.Overall there is no problem in doing this when you arrive.he spa - I didn't think we would use this as much as we did but at the end of a busy day, toasting ourselves on the warm marble slabs followed by a dip in the pool was just the ticket for a good night's sleep. We also had a haman appointment there. I really debated as to whether to book this at the hotel or a more historic haman but in the end, I think the service at the hotel was much more attentive and personal than the more public hamans. We didn't feel rushed at all and it was a wonderful expericnece! Plus we didn't have to walk about in public to return to our hotel to "re-do" ourselves.
Can't forget airport pick-up - as soon as we walked into the main part of the terminal we were greeted by a cacaphony of sound. So nice to find our driver and be taken directly to our hotel. As others have noted we were warmly greeted and given many helpful suggestions for restaurants, sightseeing - whatever we needed. So if we are fortunate to return to Istan